> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.ibee.co.in/docs/api-reference/cloud-vms/restore-cloud-vm-backup/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.ibee.co.in/_mcp/server. # Restore a cloud VM backup POST https://api.ibee.co.in/v1/compute/cloud-vms/{vm_id}/backups/actions/restore Content-Type: application/json Restores a backup recovery point by replacing a VM, creating a new VM, or restoring one volume. Requires scope: vm.write. Reference: https://docs.ibee.co.in/docs/api-reference/cloud-vms/restore-cloud-vm-backup ## Authentication - `Authorization` header (bearer token, required) — IBEE platform API token. Production tokens start with `ibee_prod_key_`; development tokens start with `ibee_dev_key_`. Use a token only with its matching gateway environment. ## Servers - `https://api.ibee.co.in/v1` (Production, default) - `https://api.ibee.co.in/v1` (Development) ## Request ### Path parameters - `vm_id` (string, required) — Virtual machine ID. ### Query parameters - `workspace_id` (string, required) — The positive numeric workspace ID to scope this request to. Zero, negative, and non-numeric values are rejected. ### Body (application/json) This endpoint expects a BackupRestoreRequest. - `recovery_point_id` (string, required) - `target_mode` (enum, optional, default: replace) - Allowed values: `replace`, `new_vm`, `volume_only` - `target_vm_name` (string, optional, nullable) - `target_cpu` (integer, optional, nullable) - `target_ram_mb` (integer, optional, nullable) - `target_disk_gb` (integer, optional, nullable) - `target_plan_id` (string, optional, nullable) - `target_plan_name` (string, optional, nullable) - `target_plan_code` (string, optional, nullable) - `target_plan_type` (string, optional, nullable) - `target_performance_category` (string, optional, nullable) - `target_plan_monthly_rate` (double, optional, nullable) - `target_plan_hourly_rate` (double, optional, nullable) - `target_bandwidth_tb` (BackupRestoreRequestTargetBandwidthTb, optional, nullable) - `target_bandwidth_display` (string, optional, nullable) - `target_network_bandwidth` (string, optional, nullable) - `target_compute_node_id` (string, optional, nullable) - `target_gpu_type` (string, optional, nullable) - `target_gpu_model` (string, optional, nullable) - `target_gpu_count` (integer, optional, nullable) - `target_gpu_memory_gb` (double, optional, nullable) - `target_gpu_memory_display` (string, optional, nullable) - `target_site_id` (string, optional, nullable) - `target_site_name` (string, optional, nullable) - `selected_volume_id` (string, optional, nullable) - `requested_by` (string, optional, default: api) - `auto_start` (boolean, optional, default: true) ## Response ### 200 Backup restore started successfully. - `organization_id` (string, required) - `workspace_id` (string, required) - `restore_id` (string, required) - `source_vm_id` (string, required) - `target_mode` (enum, required) - Allowed values: `replace`, `new_vm`, `volume_only` - `recovery_point_id` (string, required) - `status` (enum, required) - Allowed values: `queued`, `running`, `succeeded`, `failed`, `cancelled` - `organization_name` (string, optional, nullable) - `workspace_name` (string, optional, nullable) - `target_vm_id` (string, optional, nullable) - `target_vm_name` (string, optional, nullable) - `recovery_point_type` (enum, optional) - Allowed values: `backup`, `snapshot` - `started_at` (datetime, optional, nullable) - `completed_at` (datetime, optional, nullable) - `error_message` (string, optional, nullable) - `metadata` (map from string to any, optional) ## Errors ### 400 Bad Request Error The request is invalid. - `detail` (ErrorDetail, optional) ### 401 Unauthorized Error The API token is missing or invalid. - `detail` (ErrorDetail, optional) ### 403 Forbidden Error The token is not allowed to access the workspace or does not have the required scope. - `detail` (ErrorDetail, optional) ### 404 Not Found Error The requested resource was not found. - `detail` (ErrorDetail, optional) ### 409 Conflict Error The request conflicts with the current resource state. - `detail` (ErrorDetail, optional) ## Types ### BackupRestoreRequestTargetBandwidthTb ### ErrorDetail ## Examples **Request** ```json { "recovery_point_id": "string" } ``` **Response** ```json { "organization_id": "string", "workspace_id": "string", "restore_id": "string", "source_vm_id": "string", "target_mode": "replace", "recovery_point_id": "string", "status": "queued", "organization_name": "string", "workspace_name": "string", "target_vm_id": "string", "target_vm_name": "string", "recovery_point_type": "backup", "started_at": "2024-01-15T09:30:00Z", "completed_at": "2024-01-15T09:30:00Z", "error_message": "string", "metadata": {} } ``` **SDK Code** ```python import requests url = "https://api.ibee.co.in/v1/compute/cloud-vms/vm_id/backups/actions/restore" querystring = {"workspace_id":"710995"} payload = { "recovery_point_id": "string" } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers, params=querystring) print(response.json()) ``` ```javascript const url = 'https://api.ibee.co.in/v1/compute/cloud-vms/vm_id/backups/actions/restore?workspace_id=710995'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{"recovery_point_id":"string"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.ibee.co.in/v1/compute/cloud-vms/vm_id/backups/actions/restore?workspace_id=710995" payload := strings.NewReader("{\n \"recovery_point_id\": \"string\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.ibee.co.in/v1/compute/cloud-vms/vm_id/backups/actions/restore?workspace_id=710995") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"recovery_point_id\": \"string\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.ibee.co.in/v1/compute/cloud-vms/vm_id/backups/actions/restore?workspace_id=710995") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"recovery_point_id\": \"string\"\n}") .asString(); ``` ```php request('POST', 'https://api.ibee.co.in/v1/compute/cloud-vms/vm_id/backups/actions/restore?workspace_id=710995', [ 'body' => '{ "recovery_point_id": "string" }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.ibee.co.in/v1/compute/cloud-vms/vm_id/backups/actions/restore?workspace_id=710995"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"recovery_point_id\": \"string\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = ["recovery_point_id": "string"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.ibee.co.in/v1/compute/cloud-vms/vm_id/backups/actions/restore?workspace_id=710995")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```